head	1.2;
access;
symbols
	RELEASE_5_0_DP1:1.1
	RELEASE_4_5_0:1.1;
locks; strict;
comment	@# @;


1.2
date	2002.05.11.03.26.41;	author ache;	state dead;
branches;
next	1.1;

1.1
date	2001.10.19.11.07.52;	author ache;	state Exp;
branches;
next	;


desc
@@


1.2
log
@Upgrade to 4.28
@
text
@#!/bin/sh
# $FreeBSD: ports/security/drweb-sendmail/pkg-install,v 1.1 2001/10/19 11:07:52 ache Exp $
#

if [ "$2" != "POST-INSTALL" ]; then
    exit 0
fi

USER=drweb
GROUP=${USER}
UID=426
GID=${UID}
ex=0

if ! pw groupshow "${GROUP}" 2>/dev/null 1>&2; then
	if pw groupadd ${GROUP} -g ${GID}; then
		echo "Added group \"${GROUP}\"."
	else
		echo "Adding group \"${GROUP}\" failed..."
		ex=1
	fi
fi

if ! pw usershow "${USER}" 2>/dev/null 1>&2; then
	if pw useradd ${USER} -u ${UID} -g ${GROUP} -h - \
		-s "/sbin/nologin" -d "/nonexistent" -c "Dr. Web Scanner"
	then
		echo "Added user \"${USER}\"."
	else
		echo "Adding user \"${USER}\" failed..."
		ex=1
	fi
fi

[ "$ex" = "1" ] && exit 1
exit 0
@


1.1
log
@Move user adding/deleting to pkg*install
@
text
@d2 1
a2 1
# $FreeBSD$
@

